/* 
Author: Terra Fischer
Date: 7/14/2024 
*/
/* ==========================> Universal Styling <========================== */
* {
    font-family: "Cabin", sans-serif;
    color: #cb2d6f;
}
body {
    background: url(miscImages/Background.png);
    margin: 0;
}
h1, h2, h3, h4 {
    font-family: "Alice", serif;
    color: beige;
    text-align: center;
}
h1 {font-size: 80px;}
h2 {
    font-size: 64px;
    background-color: #501f3a;
    color: #cb2d6f;
    border-radius: 30px;
}
h3 {font-size: 50px;}
h4 {font-size: 48px;}
h5 {font-size: 24px;}
h6 {font-size: 18px;}
p {font-size: 16px;}
span, h5 {font-weight: 1000;}

/* ==========================> Links Styling <========================== */
a {
    text-decoration: none;
    color: #14a098;
}
a:hover {color: #f5f5dc;}

/* ==========================> Navigation Styling  <==========================  */
nav {
    position: fixed;
    width: 100%;
    z-index: 1000;  /* These will keep the navigation bar at the top of the screen when you scroll through the webpage*/
    background-color: #061012;
    padding-right: 40px;
    display: flex;
    justify-content: flex-end;
    background-image: url(paths/navigationPath.png);
    background-position: right;
    background-repeat: no-repeat;
    background-position-y: 27px;
}
#navigationLinks {
    display: flex;
    justify-content: flex-end;
    flex-wrap: wrap;
    column-gap: 50px;
    align-items: baseline;
    width: 600px;
    padding: 5px 20px;
}
nav a {
    color: black;
    font-size: 12px;
    background-color: #575757;
    height: 50px;
    width: 70px;    
    text-align: center;
    border-radius: 15px;
    align-content: center;
}
nav a:hover {
    background-color: #501f3a;
    box-shadow: 5px 5px 15px #14a098;
}
#topLink, #footerLink {
    border-radius: 50%;
    height: 60px;
    width: 60px;
}
#workExperienceLink {
    height: 45px;
    border-radius: 11px;
}
#portfolioLink {
    height: 40px;
    border-radius: 12px;
}

/* ==========================> Hero Styling <========================== */
#heroSection {
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;
    padding: 90px 0;
    text-align: center;     /* This will align the image to the center */
}
#nameDiv {width: 550px;}
#heroSection img {
    width: 396px;
    margin: 0 auto;}
/* ----- Name and Portrait Styling ----- */
#nameDiv h1 {
    margin-top: 10px;       /* All h tags have built in margins that you may want to zero */
    line-height: 60px;      /* out when aligning content */
    margin-bottom: 0;
}
#nameDiv h4 {
    margin-top: 10px;
    margin-bottom: 27px;
}
/* ----- About Styling ----- */
#aboutDiv {padding-top: 260px;}
#aboutDiv h3 {margin-bottom: 25px;}
#aboutDiv p {
    background-color: #501f3a;
    padding: 15px;
    border-radius: 20px;
    width: 367px;
}

/* ----- Contact Info Styling ----- */
#contactDiv {
    width: 300px;
    padding-top: 90px;
}
#contactDiv h3 {margin-bottom: 25px;}
#contactInfo {
    background-color: #501f3a;
    padding: 15px;
    border-radius: 20px;
}
#contactInfo {
    display: flex;
    flex-wrap: wrap;
    row-gap: 10px;
}
.contactLinks {display: flex;}
.contactTextLink {color: #14a098;}
.contactTextLink:hover {color: #f5f5dc;}
#emailIcon {
    width: 27px;
    height: 19.85px;
    background-image: url(miscImages/emailIcon.png);
    margin-right: 8px;
}
#emailIcon:hover {background-image: url(miscImages/hoverEmailIcon.png);}
#phoneIcon {
    width: 24px;
    height: 24px;
    background-image: url(miscImages/phoneIcon.png);
    margin-right: 11px;
}
#phoneIcon:hover {background-image: url(miscImages/hoverPhoneIcon.png);}
#websiteIcon {
    width: 30px;
    height: 26px;
    background-image: url(miscImages/websiteIcon.png);
    background-repeat: no-repeat;
    margin-right: 7px;
}
#websiteIcon:hover {
    background-image: url(miscImages/hoverWebsiteIcon.png);
    background-repeat: no-repeat;
}

/* ==========================> Work Experience Styling <========================== */
#workExperienceSection {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    padding: 110px 80px;
}
#workExperienceTitle {
    padding-top: 100px;
    width: 350px;
}
#workExperienceSection h2 {
    padding: 10px 0 20px;
    line-height: 55px;
}

/* ----- Individual Experiences Styling ----- */
#workExperienceDiv{
    width: 786px;
    display: flex;
    flex-direction: column;
    row-gap: 40px;
}
#workExperienceDiv div {
    background-color: #501f3a;
    width: 573px;
    border-radius: 20px;
}
#workExperienceDiv p {padding: 0 20px;}
#workExperienceOne {align-self: flex-start;}
#workExperienceTwo {align-self: center;}
#workExperienceThree {align-self: flex-end;}

/* ==========================> Portfolio Styling <========================== */
#portfolioSection {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    padding: 30px 80px;
}
#portfolioSection h3 {line-height: 1px;}
#portfolioTitle {
    padding-top: 200px;
    width: 320px;
}
#portfolioSection h2 {padding: 15px 0;}

/* ----- Websites Styling ----- */
#websitesDiv {
    width: 212px;
    padding-top: 40px;
}
#websites {
    display: flex;
    flex-direction: column;
    background-color: #501f3a;
    font-size: 20px;
    text-align: center;
    border-radius: 20px;
    width: 170px;
    padding: 10px 0;
    margin: 0 auto;
}

/* ----- Art Projects Styling ----- */
#artProjectsDiv{
    padding-top: 150px;
    width: 300px;
}
#artProjects div {
    width: 80px;
    height: 80px;
    border-radius: 26px;
}
#artProjects div:hover {box-shadow: 5px 5px 15px #14a098;}
#objectTransform {background-image: url(artworkImages/inactiveObjectTransformThumbnail.png);}
#objectTransform:hover {background-image: url(artworkImages/hoverObjectTransformThumbnail.png);}
#drawingTechniques {background-image: url(artworkImages/inactiveDrawingTechniques.png);}
#drawingTechniques:hover {background-image: url(artworkImages/hoverDrawingTechniques.png);}
#cakeDrawing {background-image: url(artworkImages/inactiveCakeDrawing.png);}
#cakeDrawing:hover {background-image: url(artworkImages/hoverCakeDrawing.png);}
#negativeSpace {background-image: url(artworkImages/inactiveNegativeDrawing.png);}
#negativeSpace:hover {background-image: url(artworkImages/hoverNegativeDrawing.png);}
#libraryDrawing {background-image: url(artworkImages/inactiveLibraryDrawing.png);}
#libraryDrawing:hover {background-image: url(artworkImages/hoverLibraryDrawing.png);}
#travelPrintmaking {background-image: url(artworkImages/inactiveTravelPrintmaking.png);}
#travelPrintmaking:hover {background-image: url(artworkImages/hoverTravelPrintmaking.png);}
#walterWhite {background-image: url(artworkImages/inactiveWalterPrintmaking.png);}
#walterWhite:hover {background-image: url(artworkImages/hoverWalterPrintmaking.png);}
#sameDirection {background-image: url(artworkImages/inactiveSameLineDirectionDrawing.png);}
#sameDirection:hover {background-image: url(artworkImages/hoverSameLineDirectionDrawing.png);}
#artProjects {
    display: flex;
    background-color: #501f3a;
    border-radius: 30px;
    flex-wrap: wrap;
    column-gap: 15px;
    row-gap: 15px;
    padding: 15px;
}

/* ==========================> Skills & Education Styling <========================== */
#skillsEducationSection {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    padding: 60px 80px;
}
#skillsEducationTitle {
    padding-top: 300px;
    width: 350px;
}
#skillsEducationTitle h2 {
    padding: 10px;
    line-height: 55px;
}

/* ----- Skills Styling ----- */
#skillsDiv {
    width: 280px;
}
#skillsEducationSection h3 {line-height: 5px;}
#allSkillsProficiency {
    background-color: #501f3a;
    border-radius: 30px;
    display: flex;
    justify-content: space-evenly;
}
#skills h5 {line-height: 1px;}
#proficiency h5 {line-height: 1px;}
#proficiency {width: 100px;}
#figma, #html, #css, #illustrator, #photoshop, #inDesign {
    display: flex;
    width: 120px;
    justify-content: space-between;
    margin: 20.5px 0;
}
#figma div, #html div, #css div, #illustrator div, #photoshop div, #inDesign div {
    height: 15px;
    width: 15px;
    border-radius: 4px;
    background-color: #cb2d6f;
}
#proficiency .inactive {background-color: #061012;}

/* ----- Education Styling ----- */
#collegeEducation {
    background-color: #501f3a;
    border-radius: 30px;
    padding: 5px 15px;
}
#educationFull {padding-top: 100px;}

/* ==========================> Footer Styling <========================== */
#footer {
    width: 100%;
    height: 100px;
    background-color: #061012;
    background-image: url(paths/footerPath.png);
    background-repeat: no-repeat;
    background-position-y: 27px;
}
#socialMedia h6 {
    background-color: #501f3a;
    padding: 20px;
    border-radius: 50%;
    margin: 10px 0 0;
}
#socialMedia {
    display: flex;
    width: 400px;
    justify-content: space-evenly;
}
#socialMedia div {
    width: 45px;
    height: 45px;
    border-radius: 12px;
}
#facebookIcon {background-image: url(socialMediaIcons/inactiveFacebookIcon.png);}
#facebookIcon:hover {
    background-image: url(socialMediaIcons/hoverFacebookIcon.png);
    box-shadow: 5px 5px 15px #14a098;
}
#linkedInIcon {background-image: url(socialMediaIcons/inactiveLinkedInIcon.png);}
#linkedInIcon:hover {
    background-image: url(socialMediaIcons/hoverLinkedInIcon.png);
    box-shadow: 5px 5px 15px #14a098;
}
#instagramIcon {background-image: url(socialMediaIcons/inactiveInstagramIcon.png);}
#instagramIcon:hover {
    background-image: url(socialMediaIcons/hoverInstagramIcon.png);
    box-shadow: 5px 5px 15px #14a098;
}
#facebookSocial {padding-top: 10px;}
#linkedInSocial {padding-top: 40px;}
#instagramSocial {padding-top: 20px;}

/* ==========================> Responsive Styling <========================== */
@media screen and (max-width 1000px) {
    nav {
        background-image: none;
    }
    nav a {display: block;}
    #nameDiv h1 {padding-top: 30px;}
}